main:
  output_dir: .pytest_output/
  debug_mode: false
  calc_name: pytest_full_2D
  append_datetime: true
  logfile: false
  nr_frames: 200
  n_gridpoints: 64
  n_dimensions: 2
  n_states: 3

# Analytical potential definitions
analytical_system:
  # Potential parameters
  gmin: -2.0  angstrom
  gmax: 2.0   angstrom
  omega:   0.175      eV
  en_gs:   0.0     eV
  en_es:   2.0     eV
  pos_gs: 0.0     angstrom
  pos_es: 0.2     angstrom
  mass: 1.0
  # Transition dipoles
  trans_dipole: &mu
    0->1: 1.0
    0->2: 1.0

time:
  t_init: -500
  t_final: 500
  n_dt: 21

observables:
  total_energy: {}
  position: {}
  momentum: {}
  spectrum_correlation: {}
  spectrum_polarisation:
    field_idx: 0
    triangle: true

static_energy_shift:
  delta:
    - 0.1 eV
    - 0.1 eV
  state: ["1", "2"]

jcouplings:
  j_coupling: 1.0
  pairs: ["1,2"]

fields:
  - &npfield
    sigma: 50
    e_0: 1.0
    omega: 0.1
    t_central: 0.0
    mu: *mu

perturbation:
  - field: *npfield
    included_diag: [1]
    sigma_off: 3.0
    amplitude_diag: 5.0
    amplitude_od: 5.0
    decay: exponential
    phase: 0.0
    np_dr: 1
    np_r0: 1
    np_decay: 0.0

legacy_perturbation:
  state: 1
  sigma_on: 10
  sigma_off: 10
  time_on: -50
  time_off: 50
  amplitude: 1.0

# Coupling to a nanoparticle
wavefunction:
  itp_requested: true
  itp_states: 2
  itp_thresh: 1.0e-12 Eh
  itp_relax_states: 0
  rtp_init_states: 0
  init_position: 0.0 angstrom
  init_sigma:    0.1 angstrom

